“The Composite extension is not available” en Ubuntu, con ATI

Si os encontráis con el mensaje “The Composite extension is not available” al intentar activar los efectos visuales (Compiz Fusion) en Sistema -> Preferencias -> Apariencia, Efectos visuales en Ubuntu Gutsy Gibbon usando ATI es posible que podáis solucionarlo simplemente instalando el paquete xserver-xgl.

En esta versión de Ubuntu no es necesario nada más. Ni crear una nueva sesión que inicie con XGL ni similares. Simplemente ejecutad el comando

sudo aptitude install xserver-xgl

reiniciad, y a disfrutar 🙂

Comentarios
  1. Y con suerte, esta semana saldrá el driver 8.42 de ati que permitirá usar AIXGL, por lo que podremos olvidarnos de XLG de una vez por todas.

    Tener buen rendimiento 3d y Compiz con ATI es un sueño que pronto se nos hará realidad 😀

    Responder

  2. Siendo como es ATI, hasta que no lo vea no lo creo 😛

    Responder

  3. DiZo

    Qué gozada la nueva versión de Ubuntu, la verdad que me esperaba más bien otra cosa, pero como no, los de canonical no me han defraudado.

    Muchas gracias por comentar lo de server-xgl.

    Saludos !

    Responder

  4. Del tiempo que llevo probando Gutsy (Tribe 1) nuna he logrado levantar establemente Compiz Fusion con mi ATI 9550 256mb, corre por un tiempo pero rapidamente se cae??? te pasa a ti??

    Sobre lo del AIGLX para las ati algo e escuchado… este nuevo driver 8.42.4 soportará todas las tarjetas de ATI o será como el 8.41 que es solo para algunas tarjetas??? alguien sabe algo???

    Responder

  5. Youri

    Gracias por la info porque seguramente será el primer error que me salga al instalarla y probarla en mi portatil.

    Responder

  6. Lo que yo no entiendo es como no han hecho un asistente para instalar XGL o por lo menos un mensaje de advertencia diciéndote que tienes que instalar ese paquete (como ocurre con los codecs). Yo ya lo deduje la primera vez que me ocurrió, pero es posible que a cualquier otra persona no se le hubiese ocurrido tan fácilmente.

    Por otra parte hay que tener en cuenta la sangrante cantidad de bugs con las que cuenta esta versión “estable” de Gutsy Gibbon. Sobre todo en el ámbito de los dispositivos de almacenamiento externo (que pasado un tiempo se me desconectan solos, sin tener idea de por qué) y en el manejo de los efectos y plugins de Compiz.

    A ver si en una semana arreglan muchos de los pequeños grandes fallos que ya empiezan a pesarles a muchos (y a mí mismo).

    Responder

  7. Yo creo que no han activado un asistente para XGL porque confian en que los drivers de ATI se publiquen en esta semana y de esa forma al activar los drivers propietarios de ATI ya estarán disponibles los 8.42 con soporte para AIXGL.

    El driver 8.42 servirá para todas, no solo para algunas de las más nuevas.

    Responder

  8. Moltrev

    Muchas gracias por la informacion, yo soy nuevo en esto de ubuntu y me sorprendio que no funcionaran los efectos de escritorio, pero hice ese sencillo paso y ahora los tengo disponibles. Es lo malo de la incompatibilidad del hardware con ubuntu.

    Responder

  9. […] “The Composite extension is not available” en Ubuntu, con ATI […]

    Responder

  10. olé

    No me conecta al servidor de ubuntu, alguna otra direccion donde bajar el xgl?

    Responder

  11. Sistema -> Administración -> Origenes del software.

    En descargar desde selecciona “Otro” y ahí pulsa “Seleccionar el mejor servidor”.

    Se pondrá a hacer pruebas de latencia y similares y generará el nuevo sources.list con los mirrors que te vayan mejor.

    Supongo que algún mirror te tirará.

    Responder

  12. He instalado el xgl-server y me da el aviso de que cuando habra una nueva sesion se iniciara solo.

    Pero eso lleva poniendolo tras 4 reinicios y varios inicios de sesión…

    ¿alguna forma de forzarlo?

    Responder

  13. […] xserver-xgl: Necesario para activar Compiz Fusion con ATI si nos muestra el error The Composite extension is not available […]

    Responder

  14. Mario, ¿por qué crees que no ha entrado en la sesión xgl?

    Haz un xvinfo | grep Xgl a ver. Si sale algo en la consola es que está usando xgl.

    Responder

  15. Zootropo acabo de mirarlo y esta vacio. Alguna manera de forzarlo? gracias por el interes.
    He tardado un poco en contestar por el trabajo…

    Responder

  16. nightrain

    Parece que ya está disponible este driver en https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.42.3-x86.x86_64.run

    Pero tengo una pregunta, este driver ¿ da soporte AIGLX a cualquier ATI o sólo a los modelos más recientes ?

    Responder

  17. nightrain
  18. […] a nightrain en los comentarios de “The Composite extension is not available” en Ubuntu, con ATI por avirsar. Relacionadas Compiz Fusion 0.6.0Configurar Compiz Fusion en Ubuntu Gutsy GibbonUbuntu […]

    Responder

  19. Anónimo

    Muchas gracias! llevaba mucho tiempo intentando poner compiz y nada … la aceleracion grafica la tenia y instalaba paquetes pero como si no… luego me salia ese maldito mensaje siempre y ahora solo instalar ese paquetito y todo de maravilla 😀 un placer me apunto tu blog!

    Gracias

    Responder

  20. sr Siempre

    Nivel novatillo:
    Efectivamente parece disponible desde el día 26 octubre, la versión 8.42.3 para linux:
    http://ati.amd.com/support/drivers/linux/linux-radeon.html

    Esto cambia la manera de tener en ubuntu 7.10 un beryl tan guay como en la versión anterior?

    Responder

  21. stratuz

    Hola! recien instale gutsy, y luego de tener un ultimate fighting con la pc logre que aceptara el driver de ati. Luego que instalo en xgl, la pc se pone LENTA! yo tengo una ATI 9550 y 1 Gb de ram en un P4…

    Responder

  22. Mathakin

    Acabo de instalar Gutsy y a lo primero que fui fue a habilitar los efectos…para mi sorpresa, el mensaje que me dió fue el que se trata en este post, espero que con la recomendacion me funcione, ahora toy instalando el amsn, y espero pronto poder aprovechar los efectos del escritorio, aunque tenga una ATI X-300
    Muchas Gracias desde YA!

    Responder

  23. […] La solución, la encontré en MundoGeek: Solución al Error […]

    Responder

  24. Calabacin

    Un tema importante es que, después de activar los drivers propietarios, y antes de ponerse a activar los efectos 3d y todo eso, sería conveniente comprobar si tenemos el rendering activado.

    Se hace con este comando:
    glxinfo | grep rendering

    Si dice ‘Yes’, entonces ya sólo queda, tal como nos ha indicado zootropo, instalar xgl y ya todo va como la seda.

    Yo he tenido que reinstalar Ubuntu al pasarme a Gutsy Gibbon, pero una vez hecho eso todo ha ido estupendo. (Había ya tocado muchas opciones y no había manera, y además, como tengo en particiones distintas home y /, reinstalar es cosa de niños).

    Muchas gracias Zootropo, gracias a ti hoy tengo 3d. Ya veremos qué pasa al tener el nuevo driver, si tenemos que quitar xgl 🙂

    Responder

  25. Pues si instalas los nuevos seguramente tengas problemas, Calabacin.

    Yo diría que le va mal a más de la mitad de la gente…

    Responder

  26. Calabacin

    Edit: Una vez activado xgl y todas las opciones vistosas 3d, el comando glxinfo | grep rendering me dice que no tengo rendering activo.

    Os lo digo por si os pasa que no os preocupéis, imagino que será debido a que como xgl es otra capa encima de todas las demás, igual con glxinfo no se vé, pero la aceleración está ahí.

    Responder

  27. Calabacin

    Perdón por el spam.

    Zootropo, si me da problemas, intentaré quitar xgl, y si me sigue dando problemas, tardo menos 10 en reinstalar, ya te digo que tener las particiones hechas lo hace todo muy fácil 🙂

    Muchas gracias una vez más.

    Responder

  28. James

    Tengo una computadora con una tarjeta de video ATI Radeon Xpress 200 a 256 y los gráficos no me corren… ¿será por mi tarjeta o a qué se deberá?

    Responder

  29. […] Fuente: http://mundogeek.net […]

    Responder

  30. marcial

    tengo un amd 64×2 con una ati radeon x1150 y tengo dramas a xq instalo linux ubuntu y ya despues quiero instalar la ati pero no me deja no cacho xq e intentado varias cosas pero no me funciona espero que me puedan ayudar
    vale
    gracias

    Responder

  31. abraham

    A mi me da el mismo problema pero como no tengo internet lo descargue desde archive.ubuntu.com pero al tratar de instalarlo el archivador para abrir los .deb me da un error libglitz-glx1 y no se de donde descargarlo

    Responder

  32. Buenas,

    Yo sigo teniendo el problema. Si instalo el paquete xserver-xgl, al reiniciar no es capaz de iniciar sesion, se queda el color de fondo y al rato vuelve a la pantalla de login.

    Si desinstalo el xserver-xgl ya inicia sesion bien… alguna solucion please?

    Responder

  33. AlexC2

    Hola gente. Veo que la mayoría utiliza tarjetas ATI… Y a los que tenemos una nVidia… ¿¿¿???. Más específicamente: nVidia GeForce 8400 GS 256mb… La cosa es que cuando terminé de instalar Gutsy, me salio un mensaje que mencionaba algo sobre utilizar “Restricted Drivers”, o por lo que entendí, drivers que son propietarios de un hardware específico, y que los c@8r0n35 de los fabricantes no comparten sus fuentes para que la comunidad pueda trabajar con este hardware y poder meterle mano a los drivers, para adecuarlo al O.S. — Les cuento todo esto, porque aunque se supone que ya tengo activada la parte de efectos de Ubuntu, nunca habia visto mi máquina tan lenta… Y la máquina es un Intel Core2 Duo de 2.2Ghz, con 2Gb en Ram, disco de 160Gb SATA2 y la tarjeta de video que mencioné al inicio… Consulté en la página de nVidia, y el driver disponible es el mismo que ya está instalado actualmente. Entonces.. que puedo hacer? que me falta hacer? o que debería hacer? para que la parte gráfica funcione como debe. Un saludo pa’ todos desde Costa Rica. AlexC2.

    Responder

  34. AlexC2

    Hola gente. Veo que la mayoría utiliza tarjetas ATI… Y a los que tenemos una nVidia… ¿¿¿???. Más específicamente: nVidia GeForce 8400 GS 256mb… La cosa es que cuando terminé de instalar Gutsy, me salio un mensaje que mencionaba algo sobre utilizar “Restricted Drivers”, o por lo que entendí, drivers que son propietarios de un hardware específico, y que los c@8r0n35 de los fabricantes no comparten sus fuentes para que la comunidad pueda trabajar con este hardware y poder meterle mano a los drivers, para adecuarlo al O.S. — Les cuento todo esto, porque aunque se supone que ya tengo activada la parte de efectos de Ubuntu, nunca habia visto mi máquina tan lenta… Y la máquina es un Intel Core2 Duo de 2.2Ghz, con 2Gb en Ram, disco de 160Gb SATA2 y la tarjeta de video que mencioné al inicio… Consulté en la página de nVidia, y el driver disponible es el mismo que ya está instalado actualmente. Entonces.. que puedo hacer? que me falta hacer? o que debería hacer? para que la parte gráfica funcione como debe. Por cierto, no sé si esta bien que deje este mensaje aqui… (Ya saben, uno que apenas está comenzando con Linux y esto de dejar mensajes en foros… :o) Un saludo pa’ todos desde Costa Rica. AlexC2.

    Responder

  35. ¡Excelente! Esta información me fue extremadamente útil… muchas gracias 🙂

    Responder

  36. […] y, para devolver la mano, quiero recopilar aquí (y en español) la información de Howto Forge y MundoGeek que hicieron muy sencilla una tarea que -con la colaboración de ATI- lo sería aún […]

    Responder

  37. josertd

    Truco del almendruco… A la primera =) gracias

    Responder

  38. podocarpus

    A mi me pasa lo mismo que al amigo Ivy, cuando instalo el paquete xserver-xgl y reinicio, pongo usuario y contraseña y no me deja entrar siempre vuelve a la pagina de login; entro en modo prueba de fallos lo desinstalo y todo vuelve a la normalidad si alguien sabe algo por aqui estamos un saludo y gracias.

    Responder

  39. […] Una vez activado el driver, activo los efectos (Sistema -> Preferencias -> Apariencia – Efectos Visuales) y activo el que me guste (lo he puesto al máximo :p ). Al principio me dío un error (”The composite extension is not available”) que solucioné con las instrucciones de  http://mundogeek.net/archivos/2007/10/18/the-composite-extension-is-not-available-en-ubuntu-con-ati… […]

    Responder

  40. Paloma

    Gracias, lo necesitaba!!!

    Responder

  41. Alonso

    Eres un genio!!!

    Responder

  42. kaly

    hola, yo tengo instalado ubuntu 7.10, he instalado el ultimo driver de ati, pero tengo un pequeño problema, y es que el raton me va ralentizado. ¿alguien sabe porque puede ser? un saludo

    Responder

  43. Boss

    Yo recien estoy entrando a lo que es linux y estoy comenzando con ubuntu 7.10 y como muchos he tenido problemas por lo de la tarjeta ati radeon. La mia es radeon xpress 1100. El caso es que no lograba lo de la aceleracion y con este tuto pude lograrlo. Claro, estoy aqui porque me mandaba ese mensajito de “The Composite extension is not available”

    Responder

  44. David Rodriguez!

    esta es la solucion para la s4757 y su tarjeta de video!! ati radeon x1200

    Gracias! Gracias! Gracias!

    Responder

  45. Luis Nah Cruz

    Si funciona a la perfeccciòn muchas gracias

    Responder

  46. Juan Carlos

    Hola, para nuestros amigos: IVI y PODOCARPUS, a mi me pasaba igual, lo que pasa con esto es que si has istalado el dirver que ofrece ATI siguiendo los pasos del WIKI, por supuesto que te dara este error, lo que tienes que hacer es Instalar el Driver Privativo que trae Ubuntu y luego hacer lo que te dice nuestro amigo:

    sudo aptitude install xserver-xgl

    y luego cambiar de usuario, le das a OPCIONES y eliges la OPCION 1:

    1. Ejecutar Script Xclient

    y listo. a mi me funciono de mil maravillas. suerte

    Responder

  47. […] xserver-xgl: Necesario para activar Compiz Fusion con ATI si nos muestra el error The Composite extension is not available […]

    Responder

  48. […] MundoGeek –> “The Composite extension is not available” en Ubuntu, con ATI. […]

    Responder

  49. compita

    aaahhhh muchas gracias por la info ya pude utilizar los efectos gracias!!!!!

    Responder

Deja un comentario